Labels

Search Label

get

Use the following parameters to search labels.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Query parameters
created_afterstring · date-time · nullableOptional

Returns objects created after the entered date.

Default: nullExample: 2020-09-12T14:15:22Z
created_beforestring · date-time · nullableOptional

Returns objects created before the entered date.

Default: nullExample: 2020-12-13T16:17:28Z
idinteger · nullableOptional

Returns the object corresponding to the entered ID

Default: null
namestring · nullableOptional

Filters the list by label name.

Default: nullExample: SPAM
orderstring · enum · nullableOptional

Orders the list of results

Default: nullExample: descPossible values:
order_bystring · nullableOptional

criteria to order by

Default: nullExample: name
pageinteger · min: 1 · nullableOptional

Defines the page number to be fetched.

Default: 1Example: 3
page_sizeinteger · min: -1 · nullableOptional

Defines the number of elements displayed on a page. Must be a positive number with 0 and -1 return a maximum defined in the gate

Default: 20Example: 40
Responses
chevron-right
200

label search results

application/json
get
/labels

Create a label

post

Create a label than can be attached to Account or Transaction

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Body
namestringRequired

label's name

Example: SPAM
Responses
chevron-right
200

The new label

application/json
created_byintegerRequired

id of the creator

Example: 42
created_onstring · date-timeRequired
idintegerRequired
namestringRequired

name of the tag

Example: SPAM
updated_byintegerRequired

id of the last updater

Example: 42
updated_onstring · date-timeRequired

date on which the tag has been last updated

Example: 2023-02-06T02:48:59+00:00
post
/labels

Get a label by ID

get

This method returns the label that matches the entered ID.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
label_idintegerRequired

The label's ID

Responses
chevron-right
200

label object

application/json
created_byintegerRequired

id of the creator

Example: 42
created_onstring · date-timeRequired
idintegerRequired
namestringRequired

name of the tag

Example: SPAM
updated_byintegerRequired

id of the last updater

Example: 42
updated_onstring · date-timeRequired

date on which the tag has been last updated

Example: 2023-02-06T02:48:59+00:00
get
/labels/{label_id}

Update the label matching the given ID

put

Set the new properties to the label matching the given ID

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
label_idintegerRequired
Body
namestringRequired

label's name

Example: SPAM
Responses
chevron-right
200

The new version of the label

application/json
created_byintegerRequired

id of the creator

Example: 42
created_onstring · date-timeRequired
idintegerRequired
namestringRequired

name of the tag

Example: SPAM
updated_byintegerRequired

id of the last updater

Example: 42
updated_onstring · date-timeRequired

date on which the tag has been last updated

Example: 2023-02-06T02:48:59+00:00
put
/labels/{label_id}

Delete a label

delete

Delete a label

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
label_idintegerRequired
Responses
chevron-right
200

Whether or not the Label has been successfully deleted

application/json
successbooleanRequiredExample: true
delete
/labels/{label_id}